List quiz report participants
curl --request GET \
--url https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "quiz_participant",
"id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"slack_user_id": "U01234567",
"group_name": "Engineering",
"group_names": [
"Engineering",
"Platform"
],
"group_ids": [
"BgZupnpMujy4v1Zzd6sx"
],
"manager_email": "manager@example.com",
"manager_name": "John Smith",
"manager_slack_user_id": "U09876543",
"status": "completed",
"score": 85,
"points": 842,
"duration_seconds": 327,
"attempt": 2,
"attempts": 3,
"total_questions": 10,
"answered_questions": 10,
"correct_answers": 8,
"incorrect_answers": 2,
"assigned_at": "2026-01-15T10:30:00.000Z",
"first_opened_at": "2026-02-01T10:30:00.000Z",
"last_opened_at": "2026-02-01T10:30:00.000Z",
"completed_at": "2026-01-15T11:00:00.000Z",
"delivery_instance_id": "DC2jXfHS1F1tEt1RoUBn",
"delivery_method": "track",
"track_id": "RhWh6zZdqqPhxUQhOCrQ",
"track_name": "Onboarding Quiz",
"is_admin": false,
"user_id": "06gPNJbvBuM2i8BKRXct",
"question_responses": [
{
"object": "question_response",
"question_id": "t06iKVkbhqv0tiDitrWL",
"is_correct": true,
"grading": {
"method": "ai",
"status": "completed",
"match": "likely_match",
"matched_answer": "White"
},
"answered_at": "2026-02-01T14:22:00.000Z",
"type": "multiple_choice",
"multiple_choice": {
"selected_options": [
{
"id": "Q6C1hMzWQM4GkxCRP9Fn",
"text": "Paris"
}
]
}
}
],
"feedback_response": {
"object": "feedback_response",
"survey_id": "XdB6C1acH1TSwsUyLg3w",
"survey_instance_id": "SQgzUmABm3QWJrU54PrH",
"submitted_at": "2026-02-01T14:30:00.000Z",
"responses": [
{
"question_id": "UGHucm2fkXijuXPzTfQn",
"question_text": "How would you rate this quiz?",
"question_type": "scale",
"response": 4,
"comment": "Great quiz, very informative!"
}
]
}
}
],
"has_more": true,
"url": "/v1/quizzes/tYYueINbgmmyss8O3LiD/report/participants"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Quizzes
List quiz report participants
The participants behind a quiz report, one row per delivery, with the same filters. Page with starting_after.
GET
/
v1
/
quizzes
/
{quiz_id}
/
report
/
participants
List quiz report participants
curl --request GET \
--url https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/quizzes/{quiz_id}/report/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "quiz_participant",
"id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"slack_user_id": "U01234567",
"group_name": "Engineering",
"group_names": [
"Engineering",
"Platform"
],
"group_ids": [
"BgZupnpMujy4v1Zzd6sx"
],
"manager_email": "manager@example.com",
"manager_name": "John Smith",
"manager_slack_user_id": "U09876543",
"status": "completed",
"score": 85,
"points": 842,
"duration_seconds": 327,
"attempt": 2,
"attempts": 3,
"total_questions": 10,
"answered_questions": 10,
"correct_answers": 8,
"incorrect_answers": 2,
"assigned_at": "2026-01-15T10:30:00.000Z",
"first_opened_at": "2026-02-01T10:30:00.000Z",
"last_opened_at": "2026-02-01T10:30:00.000Z",
"completed_at": "2026-01-15T11:00:00.000Z",
"delivery_instance_id": "DC2jXfHS1F1tEt1RoUBn",
"delivery_method": "track",
"track_id": "RhWh6zZdqqPhxUQhOCrQ",
"track_name": "Onboarding Quiz",
"is_admin": false,
"user_id": "06gPNJbvBuM2i8BKRXct",
"question_responses": [
{
"object": "question_response",
"question_id": "t06iKVkbhqv0tiDitrWL",
"is_correct": true,
"grading": {
"method": "ai",
"status": "completed",
"match": "likely_match",
"matched_answer": "White"
},
"answered_at": "2026-02-01T14:22:00.000Z",
"type": "multiple_choice",
"multiple_choice": {
"selected_options": [
{
"id": "Q6C1hMzWQM4GkxCRP9Fn",
"text": "Paris"
}
]
}
}
],
"feedback_response": {
"object": "feedback_response",
"survey_id": "XdB6C1acH1TSwsUyLg3w",
"survey_instance_id": "SQgzUmABm3QWJrU54PrH",
"submitted_at": "2026-02-01T14:30:00.000Z",
"responses": [
{
"question_id": "UGHucm2fkXijuXPzTfQn",
"question_text": "How would you rate this quiz?",
"question_type": "scale",
"response": 4,
"comment": "Great quiz, very informative!"
}
]
}
}
],
"has_more": true,
"url": "/v1/quizzes/tYYueINbgmmyss8O3LiD/report/participants"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Was this page helpful?